Bug 807460 - IE8+ not filtering applications and instances per user like chrome/ff
IE8+ not filtering applications and instances per user like chrome/ff
Product: CloudForms Cloud Engine
Classification: Red Hat
Component: aeolus-conductor (Show other bugs)
Unspecified Unspecified
unspecified Severity high
: rc
: ---
Assigned To: Imre Farkas
wes hayutin
: Triaged
: 808028 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2012-03-27 16:39 EDT by wes hayutin
Modified: 2016-09-20 01:02 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-05-09 08:50:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
ss (279.00 KB, image/png)
2012-03-27 16:39 EDT, wes hayutin
no flags Details
User1 - Chrome (187.29 KB, image/png)
2012-03-29 06:04 EDT, Imre Farkas
no flags Details
User2 - Chrome (187.49 KB, image/png)
2012-03-29 06:05 EDT, Imre Farkas
no flags Details
User1 - IE8 (235.34 KB, image/png)
2012-03-29 06:05 EDT, Imre Farkas
no flags Details
User1 - IE8 - Filter view (213.43 KB, image/png)
2012-03-29 07:04 EDT, Imre Farkas
no flags Details

  None (edit)
Description wes hayutin 2012-03-27 16:39:29 EDT
Created attachment 573175 [details]

Description of problem:


When you log in as JOE user you are limited to which applications and instances you can see.  If there are two users .. JOE and SCHMOE, JOE cant see SCHMOE's instances and vs versa.

IN IE8+ the filtering is not working and JOE can see SCHMOE's instances and applications.

See screenshots..
Comment 1 Imre Farkas 2012-03-29 06:03:34 EDT
I wasn't able to reproduce this issue, with the following steps:
1. create user1
2. create user2
3. login with user1 and create a deployment
4. login with user2 and create a deployment

This is quite the same as what I have expected since the filtering does not happen on view level so it should have nothing to do with the browser. 

Anyway, could you help me with what I am missing with this setup?
Comment 2 Imre Farkas 2012-03-29 06:04:55 EDT
Created attachment 573609 [details]
User1 - Chrome
Comment 3 Imre Farkas 2012-03-29 06:05:26 EDT
Created attachment 573610 [details]
User2 - Chrome
Comment 4 Imre Farkas 2012-03-29 06:05:52 EDT
Created attachment 573611 [details]
User1 - IE8
Comment 5 Imre Farkas 2012-03-29 07:04:53 EDT
Created attachment 573632 [details]
User1 - IE8 - Filter view
Comment 6 wes hayutin 2012-03-30 08:31:01 EDT
*** Bug 808028 has been marked as a duplicate of this bug. ***
Comment 7 Hugh Brock 2012-04-04 11:02:42 EDT
Suggest we try again to repro this for 1.1.
Comment 9 wes hayutin 2012-05-08 12:34:36 EDT
Please try with various versions of IE8.x and IE9.x
Comment 10 Imre Farkas 2012-05-09 08:33:32 EDT
This bug seems to be a duplicate of 808338. The patch for that is already on the list.
Comment 11 Dave Johnson 2012-05-09 08:50:59 EDT
Also not able to reproduce is, closing as works for me and can reopen if this resurfaces

Note You need to log in before you can comment on or make changes to this bug.